[quake2] Icculus need fixes

qudos qudos qudos2 at gmail.com
Sun Apr 3 04:02:41 EDT 2005


First sorry, really i was very excited yesterday with this discovery,
never i tried to run mods with quake2 official binaries, in my linux
'life' i was running q2-icculus ever.

I can't to understand why as in windows every old/new mod with any
old/new engine works flameswly and nice at 90% (not requires to be
re-compiled) than in linux is 0-10%!!!

Yes, i'd noticed what is very difficult to fix all this stuff.
Quake2-Icculus is a complete new engine, sdl, joystick, q2max,... but
w/out mods compatibility.

Even if Eraser mod is compiled for q2-icculus, the p_trail.o from the
main linux package do the work and a little change in a file, now i
don't remember, the game will crash, the same for 3zb2, compiles fine
but with undefiied symbols at start, and of course some others mods
with sources relased.

So, ok if i want to play old mods then i must to run the official id binaries.

Again sry, i'm totally new in the q2 code, and also in the code.


On Apr 3, 2005 5:06 AM, Brendan Burns <brendanburns at comcast.net> wrote:
> Any binary-only mods won't work with Icculus q2, that's just the way it
> is.  There are changes to the game's internals structures that preclude
> them working with binary only mods.    If complete source is available
> for the mod they can be recompiled and they should work just fine with
> icculus q2.
> On the other hand, id's q2 doesn't support joysticks, retexturing, or
> any of the other features people have added into the code base over the
> years (including a number of security fixes) so its a trade-off between
> mod compatibility and other improvements
> The only "fix" that would allow better mod compatibility would be some
> sort of glue code that adapts old game.so's to work with icculus q2.
> Anyone who wants to code and contribute that is welcome to do so...  (I
> have many, many more pressing engagements...)
> I hope that helps explain the situation.
> --brendan
On Apr 3, 2005 5:09 AM, Zachary J. Slater <zakk at timedoctor.org> wrote:
> If you'd actually read the documentation, you might have noticed that
> mods with only binaries available are incompatible.
> --
> -Zachary J. Slater
> zakk at timedoctor.org
> zacharyslater at gmail.com

> On Apr 2, 2005, at 8:37 PM, qudos qudos wrote:
> > Hi,
> >
> > Sorry but something is wrong inside the q2 icculus source.
> >
> > I'd installed the official 3.20 binaries from idsoftware, thanks to a
> > good friend, which was my surprise, a lot of mods not working in the
> > q2-icculus are working with no problems in 3.20-id.
> >
> > This are Lithium, Gladiator, Eraser, lmctf,.........
> >
> > I don't know what is happening, but plz team, stop right now and try
> > to fix the main q2-icculus code. Is a great project, but sometimes
> > useless.
> >
> > Today is too late to test more mods and stuff.
> >
> > Cheers.
> >

More information about the quake2 mailing list